#2089 closed defect (fixed)

Request for removal of unused symbols (#define BSP_RT_TIMER1 / BSP_RT_TIMER3)

Reported by: Wendell P Silva Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: minor Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

The following symbols are #defined but never used:
c/src/lib/libbsp/i386/shared/irq/irq.h:

#define BSP_RT_TIMER1 8
#define BSP_RT_TIMER3 10

Command used to find occurrences of such symbol:
cd $RTEMS_SOURCE_ROOT
grep -R -ne "RTEMS_RT_TIMER1" *

Change History (3)

comment:1 Changed on Feb 26, 2013 at 2:36:50 PM by Joel Sherrill

Cc: Sebastian Huber added

comment:2 Changed on Feb 27, 2013 at 11:37:48 AM by Wendell P Silva

Resolution: fixed
Status: newclosed

Agreed. Let's keep them.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.